You are not logged in.

#1 2019-07-25 19:36:38

jordicg
Member
From: Mexico City
Registered: 2018-07-19
Posts: 81
Website

[Solved] Android Studio canary cant setup emulator/adv s from AUR

Hello community.-

I cant seem to install correctly the android emulator, i have tried with a alternative path of the android-sdk still no luck, i have followed the instructions in the wiki and installed all the android-dummy packages, because i want to install platforms, etc from within the Android Stuido SDK Manager and ADV Manager. However with the AUR packages i cannot write in the sdk, i have changed the /opt/android-sdk folder permissions, owner, etc as the wiki says but it doesnt work, and now Android Studio asks me for the android sdk path, even though its set to /opt/android-sdk from the IDE and with an environmental variable (setting ANDROID_SDK_ROOT). Could someone help me please, i cant even start to develp in Android because of this. Thank you in advance.

Last edited by jordicg (2019-07-26 02:20:53)


With great power there must also come -- great responsibility!

Offline

#2 2019-07-25 19:46:01

Muflone
Trusted User (TU)
From: Italy
Registered: 2013-10-08
Posts: 73
Website

Re: [Solved] Android Studio canary cant setup emulator/adv s from AUR

Hi

I usually keep my android-sdk in a writable directory into the which I symlink the tools already installed from the AUR.

With this way your android-sdk is writable to download some little dependency not present in the AUR and you still can use the AUR packages.

21:44:13 muflone:/media/Android_SDK$ ls -l
drwxr-xr-x  2 muflone users 4096 30 mar 13.59 add-ons
drwxr-xr-x  3 muflone users 4096  3 mar 00.23 avd
drwxr-xr-x  4 muflone users 4096  7 apr 02.01 build-tools
lrwxrwxrwx  1 muflone users   25 30 mar 00.30 emulator -> /opt/android-sdk/emulator
drwxr-xr-x  5 muflone users 4096 13 mag  2018 extras
drwxr-xr-x  3 muflone users 4096  4 feb 01.14 fonts
drwxr-xr-x  7 muflone users 4096  7 apr 02.00 gradle
drwxr-xr-x  2 muflone users 4096 13 apr 17.59 licenses
drwxr-xr-x  3 muflone users 4096 13 mag  2018 patcher
drwxr-xr-x  4 muflone users 4096  7 apr 02.02 platforms
lrwxrwxrwx  1 muflone users   31 30 mar 00.11 platform-tools -> /opt/android-sdk/platform-tools
drwxr-xr-x 26 muflone users 4096  7 lug 12.13 skins
drwxr-xr-x  2 muflone users 4096 19 mag 17.15 sources
drwxr-xr-x  4 muflone users 4096 14 apr 12.34 system-images
lrwxrwxrwx  1 muflone users   22 30 mar 00.26 tools -> /opt/android-sdk/tools

21:44:14 muflone:/media/Android_SDK$ ls -l platforms
lrwxrwxrwx 1 muflone users   37 30 mar 16.21 android-15 -> /opt/android-sdk/platforms/android-15
lrwxrwxrwx 1 muflone users   37 30 mar 16.24 android-17 -> /opt/android-sdk/platforms/android-17
lrwxrwxrwx 1 muflone users   37 30 mar 02.14 android-19 -> /opt/android-sdk/platforms/android-19

Offline

#3 2019-07-25 20:08:46

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 28,160
Website

Re: [Solved] Android Studio canary cant setup emulator/adv s from AUR

Moving to AUR Issues...


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#4 2019-07-25 22:54:02

jordicg
Member
From: Mexico City
Registered: 2018-07-19
Posts: 81
Website

Re: [Solved] Android Studio canary cant setup emulator/adv s from AUR

Muflone wrote:

Hi

I usually keep my android-sdk in a writable directory into the which I symlink the tools already installed from the AUR.

With this way your android-sdk is writable to download some little dependency not present in the AUR and you still can use the AUR packages.

21:44:13 muflone:/media/Android_SDK$ ls -l
drwxr-xr-x  2 muflone users 4096 30 mar 13.59 add-ons
drwxr-xr-x  3 muflone users 4096  3 mar 00.23 avd
drwxr-xr-x  4 muflone users 4096  7 apr 02.01 build-tools
lrwxrwxrwx  1 muflone users   25 30 mar 00.30 emulator -> /opt/android-sdk/emulator
drwxr-xr-x  5 muflone users 4096 13 mag  2018 extras
drwxr-xr-x  3 muflone users 4096  4 feb 01.14 fonts
drwxr-xr-x  7 muflone users 4096  7 apr 02.00 gradle
drwxr-xr-x  2 muflone users 4096 13 apr 17.59 licenses
drwxr-xr-x  3 muflone users 4096 13 mag  2018 patcher
drwxr-xr-x  4 muflone users 4096  7 apr 02.02 platforms
lrwxrwxrwx  1 muflone users   31 30 mar 00.11 platform-tools -> /opt/android-sdk/platform-tools
drwxr-xr-x 26 muflone users 4096  7 lug 12.13 skins
drwxr-xr-x  2 muflone users 4096 19 mag 17.15 sources
drwxr-xr-x  4 muflone users 4096 14 apr 12.34 system-images
lrwxrwxrwx  1 muflone users   22 30 mar 00.26 tools -> /opt/android-sdk/tools

21:44:14 muflone:/media/Android_SDK$ ls -l platforms
lrwxrwxrwx 1 muflone users   37 30 mar 16.21 android-15 -> /opt/android-sdk/platforms/android-15
lrwxrwxrwx 1 muflone users   37 30 mar 16.24 android-17 -> /opt/android-sdk/platforms/android-17
lrwxrwxrwx 1 muflone users   37 30 mar 02.14 android-19 -> /opt/android-sdk/platforms/android-19

Interesting, but the symlink part, i know how to create symlinks, but how can i see those from inside Android Studio? I want those platforms for example to be available inside Android Studio?


With great power there must also come -- great responsibility!

Offline

#5 2019-07-26 00:27:09

Muflone
Trusted User (TU)
From: Italy
Registered: 2013-10-08
Posts: 73
Website

Re: [Solved] Android Studio canary cant setup emulator/adv s from AUR

just make your Android studio point to your writable directory

of course your <ANDROID_SDK_DIR>/platforms must include at least a symlink to the AUR android-sdk-platform package

Offline

#6 2019-07-26 01:57:12

jordicg
Member
From: Mexico City
Registered: 2018-07-19
Posts: 81
Website

Re: [Solved] Android Studio canary cant setup emulator/adv s from AUR

Muflone wrote:

just make your Android studio point to your writable directory

of course your <ANDROID_SDK_DIR>/platforms must include at least a symlink to the AUR android-sdk-platform package

Ok so i had some progress, my question is. I need ADB right? So it comes with the android-tools AUR package, but if i install that package i cant install android-sdk-platform, it complains that android-tools is installed, so if i install android-sdk-platform will i get still ADB?

I will remove android-tools and install android-sdk-platform as you say... BTW thank you @Muflone

Edit.-  I have installed android-sdk-platform-tools and fixed a little problem in one directory with permissions, and now emulator is running. So thank you very much and this is SOLVED.

Last edited by jordicg (2019-07-26 02:20:02)


With great power there must also come -- great responsibility!

Offline

Board footer

Powered by FluxBB